<?php defined("IN_DOCEBO") or die('Direct access is forbidden.');

/* ======================================================================== \
| 	DOCEBO - The E-Learning Suite											|
| 																			|
| 	Copyright (c) 2008 (Docebo)												|
| 	http://www.docebo.com													|
|   License 	http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt		|
| 	File modificato da Roby Kirk													|
\ ======================================================================== */

/**
 * @package 	admin-library
 * @category 	File managment
 * @author 		Fabio Pirovano <fabio@docebo.com>
 * @version 	$Id: lib.mimetype.php 113 2006-03-08 18:08:42Z ema $
 */

/**
 * able the user to download a specified file as an attachment
 *
 * @param string	$path		where the files is on the server filesystem without the filename
 * @param string	$filename	the name of the file
 * @param string	$ext		the extension of the file (.txt, .jpg ...)
 * @param string	$sendname	the name given to the downlodable file, if not passed it will be constructed in this way:
 *								assumed that $filename is [number]_[number]_[time]_[filename]
 *								the file sended will have the name [filename].$ext
 *
 * @return nothing
 */
function mimeDetect($fileName, $path = true, $big = false) {
	//find file ext
	$expFileName = explode('.', $fileName);
	$totPart = count($expFileName) - 1;

	$basepath = ($path ? 'mimetypes'.($big ? '32' : '').'/' : '');
	$extension = ($path ? '.png' : '');

	//recognize the ext
	switch(strtolower($expFileName[$totPart])) {
		//text
		case "txt" :	case "rtf" :
			return $basepath.'txt'.$extension;
      break;

		//documnet
		case "sxw" :	case "stw" :	case "docx" :	case "doc" :	case "sdw" :
			return $basepath.'doc'.$extension;
      break;

		//spreadsheet
		case "sdc" :	case "xlsx" :	case "xls" :	case "xlw" :	case "xlt" :	case "stc" :	case "sxc" :
			return $basepath.'xls'.$extension;
      break;

		//presentation
		case "sdd" :	case "sxi" :	case "sti" :	case "pot" :	case "pps" :	case "pptx" :	case "ppt" :
			return $basepath.'ppt'.$extension;
      break;

		//archive
		case "zip" :	case "rar" :	case "ace" :	case "arj" :	case "gz" :	case "tgz" :	case "bz2" :
		case "tar" :
			return $basepath.'zip'.$extension;
      break;

		//html
		case "htm" :	case "html" :
			return $basepath.'htm'.$extension;
      break;

		//image
		case "psd" :	case "pdd" :	case "pdp" :
		case "pxr" :	case "bmp" :	case "rle" :	case "pcx" :
		case "tif" :	case "tiff" :	case "iff" :
		case "jpc" :	case "jp2" :	case "jb2" :
		case "jpg" :	case "gif" :	case "pic" :	case "eps" :	case "tga" :	case "png" :	case "svg" :
			return $basepath.'img'.$extension;
      break;

		//stream
		case "asf" :	case "nsv" :	case "smi" :	case "ram" :
		//audio
		case "au" :	case "wav" :	case "mid" :	case "ogg" :	case "mp3" :
			return $basepath.'mp3'.$extension;
      break;

		//real
		case "rm" :	case "ra" :
			return $basepath.'real'.$extension;
      break;

		//movie
		case "mov" :	case "asx" :	case "avi" :	case "mpeg" :	case "mpg" :
		case "xvid" :	case "divx" :
			return $basepath.'movie'.$extension;
      break;

		//flash
		case "swc" :	case "swf" :	case "fla" :
			return $basepath.'fla'.$extension;
      break;

		//cad
		case "cad" :	case "dwg" :	case "dwt" :
			return $basepath.'cad'.$extension;
      break;

		//3D
		case "blen" :	case "mp" :	case "ma" :	case "mel" :	case "max" :
			return $basepath.'3d'.$extension;
      break;

		//db
		case "mdb" :	case "sql" :
			return $basepath.'source'.$extension;
      break;

		//pdf file
		case "pdf":
			return $basepath.'pdf'.$extension;
      break;

		//executable
		case "deb" :
			return $basepath.'deb'.$extension;
      break;
		case "rpm" :
			return $basepath.'rpm'.$extension;
      break;
		case "exe" :
			return $basepath.'exe'.$extension;
      break;

		//defaut type
		default: return $basepath.'unknow'.$extension;
	}
}

function mimetype($ext) {
	//finding correct mime type
	switch(strtolower($ext)) {

		case "nml" :
			return 'animation/narrative';
      break;
		case "tsp" :
			return 'application/dsptype';
      break;
		case "lcc" :
			return 'application/fastman';
      break;
		case "pfr" : 	case "pfr" :
			return 'application/font-tdpfr';
      break;
		case "spl" :
			return 'application/futuresplash';
      break;
		case "hqx" :
			return 'application/mac-binhex40';
      break;
		case "cpt" :
			return 'application/mac-compactpro';
      break;      
		case "pot" :
			return 'application/mspowerpoint';
      break;
    case "pps" :
			return 'application/mspowerpoint';
      break;
    case "pptx":
      return 'application/vnd.openxmlformats-officedocument.presentationml.presentation';
      break;
    case "ppt" :
			return 'application/vnd.ms-office';
      break;
    case "ppz" :
			return 'application/mspowerpoint';
      break;
    case "bin" :
			return 'application/octet-stream';
      break;
    case "class" :
			return 'application/octet-stream';
      break;
    case "dms" :
			return 'application/octet-stream';
      break;
    case "exe" :
			return 'application/octet-stream';
      break;
    case "jar" :
			return 'application/octet-stream';
      break;
    case "sea" :
			return 'application/octet-stream';
      break;
		case "oda" :
			return 'application/oda';
      break;
		case "pdf" :
			return 'application/pdf';
      break;
		case "ai" :
			return 'application/postscript';
      break;
    case "eps" :
			return 'application/postscript';
      break;
    case "ps" :
			return 'application/postscript';
      break;
		case "docx" :
      return 'application/vnd.openxmlformats-officedocument.wordprocessingml.document';
      break;
    case "doc":
      return 'application/msword';
      break;
    case "dot":
      return 'application/msword';
      break;
    case "rtf" :
			return 'application/rtf';
      break;
		case "smi" :
			return 'application/smil';
      break;
		case "svi" :
			return 'application/softvision';
      break;
		case "ttz" :
			return 'application/t-time';
      break;
		case "aab" :
			return 'application/x-authorware-bin';
      break;
		case "aam" :
			return 'application/x-authorware-map';
      break;
		case "aas" :
			return 'application/x-authorware-seg';
      break;
		case "bcpio" :
			return 'application/x-bcpio';
      break;
		case "bz2" :
			return 'application/x-bzip2';
      break;
		case "cqk" :
			return 'application/x-calquick';
      break;
		case "vcd" :
			return 'application/x-cdlink';
      break;
		case "ccn" :
			return 'application/x-cnc';
      break;
		case "cco" :
			return 'application/x-cocoa';
      break;
		case "Z" :
			return 'application/x-compress';
      break;
		case "cpio" :
			return 'application/x-cpio';
      break;
		case "csh" :
			return 'application/x-csh';
      break;
		case "dcr" : 	case "dir" : 	case "dxr" :
			return 'application/x-director';
      break;
		case "dvi" :
			return 'application/x-dvi';
      break;
    case "xlsx":
      return 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet';
      break;
		case "xls" :
			return 'application/vnd.ms-excel';
      break;
		case "ebk" :
			return 'application/x-expandedbook';
      break;
		case "gtar" :
			return 'application/x-gtar';
      break;
		case "gz" :
			return 'application/x-gzip';
      break;
		case "hdf" :
			return 'application/x-hdf';
      break;
		case "cgi" :
			return 'application/x-httpd-cgi';
      break;
		case "js" :
			return 'application/x-javascript';
      break;
    case "ls" :
			return 'application/x-javascript';
      break;
    case "mocha" :
			return 'application/x-javascript';
      break;
		case "skd" :
			return 'application/x-koan';
      break;
    case "skm" :
			return 'application/x-koan';
      break;
    case "skp" :
			return 'application/x-koan';
      break;
    case "skt" :
			return 'application/x-koan';
      break;
		case "latex" :
			return 'application/x-latex';
      break;
		case "lha" : 	case "lzh" :
			return 'application/x-lzh';
      break;
		case "mps" :
			return 'application/x-mapserver';
      break;
		case "mct" :
			return 'application/x-mascot';
      break;
		case "mif" :
			return 'application/x-mif';
      break;
		case "cdf" : 	case "nc" :
			return 'application/x-netcdf';
      break;
		case "pac" :
			return 'application/x-ns-proxy-auto-config';
      break;
		case "mpp" :
			return 'application/x-pixelscooter';
      break;
		case "sh" :
			return 'application/x-sh';
      break;
		case "shar" :
			return 'application/x-shar';
      break;
		case "swf" :
			return 'application/x-shockwave-flash';
      break;
		case "spr" : 	case "sprite" :
			return 'application/x-sprite';
      break;
		case "spt" :
			return 'application/x-spt';
      break;
		case "sit" :
			return 'application/x-stuffit';
      break;
		case "sv4cpio" :
			return 'application/x-sv4cpio';
      break;
		case "sv4crc" :
			return 'application/x-sv4crc';
      break;
		case "tar" : 	case "tgz" :
			return 'application/x-tar';
      break;
		case "tcl" :
			return 'application/x-tcl';
      break;
		case "tex" :
			return 'application/x-tex';
      break;
		case "texi" : 	case "texinfo" :
			return 'application/x-texinfo';
      break;
		case "roff" : 	case "t" : 	case "tr" :
			return 'application/x-troff';
      break;
		case "man" :
			return 'application/x-troff-man';
      break;
		case "me" :
			return 'application/x-troff-me';
      break;
		case "ms" :
			return 'application/x-troff-ms';
      break;
		case "ustar" :
			return 'application/x-ustar';
      break;
		case "src" :
			return 'application/x-wais-source';
      break;
		case "xdm" : 	case "xdma" :
			return 'application/x-xdma';
      break;
		case "zip" :
			return 'application/zip';
      break;
		case "au" : 	case "snd" :
			return 'audio/basic';
      break;
		case "es" :
			return 'audio/echospeech';
      break;
		case "kar" :
			return 'audio/midi';
      break;
    case "mid" :
			return 'audio/midi';
      break;
    case "midi" :
			return 'audio/midi';
      break;
		case "mp2" :
			return 'audio/mpeg';
      break;
    case "mp3" :
			return 'audio/mpeg';
      break;
    case "mpga" :
			return 'audio/mpeg';
      break;
		case "tsi" :
			return 'audio/tsplayer';
      break;
		case "ra" :
			return 'audio/vnd.rn-realaudio';
      break;
		case "vox" :
			return 'audio/voxware';
      break;
		case "aif" :
			return 'audio/x-aiff';
      break;
    case "aifc" :
			return 'audio/x-aiff';
      break;
    case "aiff" :
			return 'audio/x-aiff';
      break;
		case "aba" :
			return 'audio/x-bamba';
      break;
		case "cha" :
			return 'audio/x-chacha';
      break;
		case "mio" :
			return 'audio/x-mio';
      break;
		case "ram" : 	case "rm" :
			return 'audio/x-pn-realaudio';
      break;
		case "rpm" :
			return 'audio/x-pn-realaudio-plugin';
      break;
		case "vqf" : 	case "vql" :
			return 'audio/x-twinvq';
      break;
		case "vqe" :
			return 'audio/x-twinvq-plugin';
      break;
		case "wav" :
			return 'audio/x-wav';
      break;
		case "csm" :
			return 'chemical/x-csml';
      break;
		case "emb" :
			return 'chemical/x-embl-dl-nucleotide';
      break;
		case "gau" :
			return 'chemical/x-gaussian-input';
      break;
		case "mol" :
			return 'chemical/x-mdl-molfile';
      break;
		case "mop" :
			return 'chemical/x-mopac-input';
      break;
		case "pdb" :
			return 'chemical/x-pdb';
      break;
		case "xyz" :
			return 'chemical/x-xyz';
      break;
		case "ivr" :
			return 'i-world/i-vrml';
      break;
		case "bmp" :
			return 'image/bmp';
      break;
		case "fif" :
			return 'image/fif';
      break;
		case "gif" :
			return 'image/gif';
      break;
		case "ief" :
			return 'image/ief';
      break;
		case "jpe" :
			return 'image/jpeg';
      break;
    case "jpeg" :
			return 'image/jpeg';
      break;
    case "jpg" :
			return 'image/jpeg';
      break;
		case "png" :
			return 'image/png';
      break;
		case "tif" : 	case "tiff" :
			return 'image/tiff';
      break;
		case "mcf" :
			return 'image/vasa';
      break;
		case "rp" :
			return 'image/vnd.rn-realpix';
      break;
		case "ras" :
			return 'image/x-cmu-raster';
      break;
		case "fh" :
			return 'image/x-freehand';
      break;
    case "fh4" :
			return 'image/x-freehand';
      break;
    case "fh5" :
			return 'image/x-freehand';
      break;
    case "fh7" :
			return 'image/x-freehand';
      break;
    case "fhc" :
			return 'image/x-freehand';
      break;
		case "jps" :
			return 'image/x-jps';
      break;
		case "pnm" :
			return 'image/x-portable-anymap';
      break;
		case "pbm" :
			return 'image/x-portable-bitmap';
      break;
		case "pgm" :
			return 'image/x-portable-graymap';
      break;
		case "ppm" :
			return 'image/x-portable-pixmap';
      break;
		case "rgb" :
			return 'image/x-rgb';
      break;
		case "xbm" :
			return 'image/x-xbitmap';
      break;
		case "xpm" :
			return 'image/x-xpixmap';
      break;
		case "swx" :
			return 'image/x-xres';
      break;
		case "xwd" :
			return 'image/x-xwindowdump';
      break;
		case "ptlk" :
			return 'plugin/listenup';
      break;
		case "waf" : 	case "wan" :
			return 'plugin/wanimate';
      break;
		case "css" :
			return 'text/css';
      break;
		case "html" :
			return 'text/html';
      break;
    case "htm" :
			return 'text/html';
      break;
		case "txt" :
			return 'text/plain';
      break;
		case "rtx" :
			return 'text/richtext';
      break;
		case "tsv" :
			return 'text/tab-separated-values';
      break;
		case "rt" :
			return 'text/vnd.rn-realtext';
      break;
		case "etx" :
			return 'text/x-setext';
      break;
		case "sgm" :
			return 'text/x-sgml';
      break;
    case "sgml" :
			return 'text/x-sgml';
      break;
		case "talk" :
			return 'text/x-speech';
      break;
		case "vcf" :
			return 'text/x-vcard';
      break;
		case "xml" :
			return 'text/xml';
      break;
		case "xsl" :
			return 'text/xsl';
      break;
		case "mpe" :
			return 'video/mpeg';
      break;
    case "mpeg" :
			return 'video/mpeg';
      break;
    case "mpg" :
			return 'video/mpeg';
      break;
		case "mov" : 	case "qt" :
			return 'video/quicktime';
      break;
		case "rv" :
			return 'video/vnd.rn-realvideo';
      break;
		case "viv" : 	case "vivo" :
			return 'video/vnd.vivo';
      break;
		case "vba" :
			return 'video/x-bamba';
      break;
		case "asf" : 	case "asx" :
			return 'video/x-ms-asf';
      break;
		case "avi" :
			return 'video/x-msvideo';
      break;
		case "qm" :
			return 'video/x-qmsys';
      break;
		case "movie" :
			return 'video/x-sgi-movie';
      break;
		case "tgo" :
			return 'video/x-tango';
      break;
		case "vif" :
			return 'video/x-vif';
      break;
		case "vts" :
			return 'workbook/formulaone';
      break;
		case "pan" :
			return 'world/x-panoramix';
      break;
		case "ice" :
			return 'x-conference/x-cooltalk';
      break;
		case "d96" : 	case "mus" :
			return 'x-world/x-d96';
      break;
		case "svr" :
			return 'x-world/x-svr';
      break;
		case "vrml" : 	case "wrl" :
			return 'x-world/x-vrml';
      break;
		case "vrt" :
			return 'x-world/x-vrt';
      break;
	}
	
	return false;
}


?>
